%bcond_without tests

Summary:        Tool to create isolated Python environments
Name:           python-virtualenv
Version:        20.21.1
Release:        2%{?dist}

License:        MIT
URL:            http://pypi.python.org/pypi/virtualenv
Source0:        %{pypi_source virtualenv}

Patch3000:      rpm-wheels.patch

BuildArch:      noarch

BuildRequires:  python3-devel python3-hatchling

BuildRequires:  python-pip-wheel python-setuptools-wheel python-wheel-wheel

%if %{with tests}
BuildRequires:  gcc
BuildRequires:  python3-flaky
BuildRequires:  python3-packaging
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-pytest-randomly
BuildRequires:  python3-pytest-timeout
%endif

%description
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license.


%package -n     python3-virtualenv
Summary:        Tool to create isolated Python environments
Provides:       virtualenv = %{version}-%{release}
Requires:       python-pip-wheel
Requires:       python-setuptools-wheel
Requires:       python-wheel-wheel

%description -n python3-virtualenv
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license


%prep
%autosetup -p1 -n virtualenv-%{version}

rm src/virtualenv/seed/wheels/embed/pip-*
rm src/virtualenv/seed/wheels/embed/setuptools-*
rm src/virtualenv/seed/wheels/embed/wheel-*

test ! -f src/virtualenv/seed/embed/wheels/*.whl
sed -i "s|/usr/share/python-wheels|%{python_wheel_dir}|" src/virtualenv/util/path/_system_wheels.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files virtualenv

%if %{with tests}
%check
# bypass some tests due to requires fish
rm -f tests/conftest.py
PIP_CERT=/etc/pki/tls/certs/ca-bundle.crt \
%pytest \
    --ignore=tests/integration/test_zipapp.py \
    --ignore=tests/unit/activation/test_activate_this.py \
    --ignore=tests/unit/activation/test_bash.py \
    --ignore=tests/unit/activation/test_batch.py \
    --ignore=tests/unit/activation/test_csh.py \
    --ignore=tests/unit/activation/test_fish.py \
    --ignore=tests/unit/activation/test_nushell.py \
    --ignore=tests/unit/activation/test_powershell.py \
    --ignore=tests/unit/activation/test_python_activator.py \
    --ignore=tests/unit/config/test___main__.py \
    --ignore=tests/unit/create/test_creator.py \
    --ignore=tests/unit/create/via_global_ref/test_build_c_ext.py \
    --ignore=tests/unit/discovery/py_info/test_py_info.py \
    --ignore=tests/unit/discovery/py_info/test_py_info_exe_based_of.py \
    --ignore=tests/unit/discovery/test_discovery.py \
    --ignore=tests/unit/seed/embed/test_bootstrap_link_via_app_data.py \
    --ignore=tests/unit/seed/embed/test_pip_invoke.py \
    --ignore=tests/unit/seed/wheels/test_acquire.py \
    --ignore=tests/unit/seed/wheels/test_acquire_find_wheel.py \
    --ignore=tests/unit/seed/wheels/test_bundle.py \
    --ignore=tests/unit/seed/wheels/test_periodic_update.py \
    --ignore=tests/unit/seed/wheels/test_wheels_util.py

%endif

%files -n python3-virtualenv -f %{pyproject_files}
%license %{python3_sitelib}/virtualenv-%{version}.dist-info/licenses/LICENSE
%doc README.md
%{_bindir}/virtualenv


%changelog
* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 20.21.1-2
- enable %check

* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 20.21.1-1
- Upgrade to version 20.21.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.13.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.13.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.13.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.13.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 cunshunxia <cunshunxia@tencent.com> - 20.13.3-1
- initial build
